Vagrant.configure("2") do |config|
  config.vm.define "proxy" do |proxy|
    proxy.vm.box = "debian/bullseye64"
  end

  config.vm.define "management" do |management|
    management.vm.box = "debian/bullseye64"
  end

  config.vm.define "compute" do |compute|
    compute.vm.box = "debian/bullseye64"
  end

  config.vm.define "client" do |compute|
    compute.vm.box = "debian/bullseye64"
  end

  config.vm.provision "ansible" do |ansible|
    ansible.verbose = "v"
    ansible.limit = "all"
    ansible.playbook = "main.yml"
    ansible.extra_vars = "vars.dev.yml"
  end
end